
% clear all
% clc

%% One compressor

% syms p_p w;
% 
% x = [p_p ; w ; 1];
% 
% H=[2 -2*0.175 0 ;-2*0.175 2*(1+0.175^2) 0 ;0 0 200];
% 
% f = [0 -20 0]';
% 
% F = 0.5*x'*H*x + f'*x;
% 
% 
% opts = optimset('Algorithm','active-set','Display','off');
% 
% lb = [0 0]; % Lower bounds
% ub = [2.1 15]; % Upper bounds
% 
% 
% [x,fval,exitflag,output,lambda] = ...
%     quadprog(H,f,[],[],[],[],lb,ub,[],opts);
% 
% p_p = x(1);
% w = x(2);
% 
% %%
% 
% syms P_p w1 w2;
% 
% 
% opts = optimset('Algorithm','active-set','Display','off');
% 
% lb = zeros(3,1); % Lower bounds
% ub = [3 15 15]; % Upper bounds
% 
% H3 = [4 -2*0.175 -2*0.175 0; -2*0.175 2*(1+0.175^2) 0 0;...
%     -2*0.175 0 2*(1+0.175^2) 0; 0 0 0 200]
% f3 = [0;-20;-20;0]
% 
% Aeq = [0 1 1 0];
% beq = [20];
% 
% 
% [x,fval,exitflag,output,lambda] = ...
%     quadprog(H3,f3,[],[],Aeq,beq,lb,ub,[],opts);
% 
% 
% Pref=x(1);
% Wref=x(2);
% W1ref=x(3);
% 
% 
% x'*[4 -2*0.175 -2*0.175 0; -2*0.175 2*(1+0.175^2) 0 0;...
%     -2*0.175 0 2*(1+0.175^2) 0; 0 0 0 200]*x
% 
% 
% x'*[0;-20;-20;0]


% x

% 
% 
%         a1 = 2; a2 = 1.5; % define parameters first
%          options = optimset('Algorithm','interior-point'); % run interior-point algorithm
%          x = fmincon(@(x) myfun(x,a1),[1;2],[],[],[],[],[],[],@(x) mycon(x,a2),options)


% c12 = 0.175*w2;
% c22 = -2*0.175*w2;
% c32 = (w2-10)^2;
% 
% x2 = [pp2;1];
% H2 = 2*[1 0;0 c12^2];
% f2 = [c22; c32];
% 
% w=11;
% w2=11;
% 
% c1 = 0.175*w;
% c2 = -2*0.175*w;
% c3 = (w-10)^2;
% 
% x1 = [pp1;1];
% H1 = 2*[1 0;0 c1^2];
% f1 = [c2; c3];





syms Pp w w1;


opts = optimset('Algorithm','active-set','Display','off');

lb = zeros(3,1); % Lower bounds
ub = [3 15 15]; % Upper bounds

c1=0.175;
c2=10;
c3=0.13;
c4=13;

H = [4 -2*c1 -2*c3 0; -2*c1 2*(1+c1^2) 0 0;...
    -2*c3 0 2*(1+c3^2) 0; 0 0 0 2*(c2^2+c4^2)];
f = [0;-2*c2;-2*c4;0];

Aeq = [0 1 1 0];
beq = [25];


[x,fval,exitflag,output,lambda] = ...
    quadprog(H,f,[],[],Aeq,beq,lb,ub,[],opts);


Pref=x(1);
Wref=x(2);
W1ref=x(3);


x'*[4 -2*c1 -2*c3 0; -2*c1 2*(1+c1^2) 0 0;...
    -2*c3 0 2*(1+c3^2) 0; 0 0 0 2*(c2^2+c4^2)]*x


x'*[0;-2*c2;-2*c4;0]


x










